select 
    s.SAVINGS_ID as PK,
    s.Title as End_Title,
    s.DESCRIPTION as Description,
    s.JUSTIFICATION as Justification,
    au.DISPLAY_NAME as Created_By,
    saving_type.TEXT as Type, 
    saving_status.TEXT as Status, 
    t.NAME as Task,
    p.NAME as Project,
    pgm.NAME as Program
from
    PM_SAVINGS s
    left outer join PM_PROJECT p on s.PROJECT_ID = p.PROJECT_ID
    left outer join PM_TASK t on s.TASK_ID = t.TASK_ID
    left outer join PROGRAM pgm on p.PROGRAM_ID = pgm.PROGRAM_ID
    left outer join APPLICATION_USER au on s.CREATED_BY = au.AU_ID
    left outer join REFERENCE saving_type on s.TYPE = saving_type.SUBCATEGORY and saving_type.CATEGORY = 'saving_type' and saving_type.OWNER_AID is null
    left outer join REFERENCE saving_status on s.STATUS = saving_status.SUBCATEGORY and saving_status.CATEGORY = 'saving_status' and saving_status.OWNER_AID is null
where
    s.OWNER_AID = '[AA_ID]' and
    s.RECORD_STATE = 0