SELECT
    au.AU_ID as PK,
    au.DISPLAY_NAME as End_Title,
    au.DISPLAY_NAME as Display_Name,
    c.CONTACT_EMAIL as Email,
    c.CONTACT_FIRST_NAME as First_Name,
    c.CONTACT_LAST_NAME as Last_Name,
    c.CONTACT_PHONE as Phone,
    a.ADDRESS_TYPE as Address_Type,
    a.CITY as City,
    a.COUNTRY_CODE as Country,
    a.POSTAL_CODE as Postal_Code,
    st.NAME as State,
    st.SHORT_NAME as State_Code,
    a.STREET1 as Street_1,
    a.STREET2 as Street_2,
    au.user_status as User_Status,
    s.LEGAL_NAME as Supplier,
    s.BVD_NUMBER as BVD_Number, 
    s.DUNS_NUMBER as DUNS_Number,
    s.ERP_NUMBER as ERP_Number,
    s.EXT_ID1 as EXT_ID_1,
    s.EXT_ID2 as EXT_ID_2,
    s.EXT_ID3 as EXT_ID_3,
    s.EXT_ID4 as EXT_ID_4,
    s.EXT_ID5 as EXT_ID_5,
    s.FEDERAL_TAX_ID as Federal_Tax_ID,
    s.SAP_ID as SAP_ID,
    s.VAT_NUMBER as VAT_Number,
    s.WEBSITE as Website,
    ds.NAME as Data_Source,
    h1.NAME as Primary_NAICS,
    h1.DESCRIPTION as Primary_NAICS_Description,
    spn2.PHONE_NUMBER as Phone_Number,
    h2.NAME as Primary_Region,
    h2.DESCRIPTION as Primary_Region_Description,
    h3.NAME as Primary_SIC,
    h3.DESCRIPTION as Primary_SIC_Description
FROM APPLICATION_USER au
    LEFT OUTER JOIN CONTACT c ON au.USER_CUID = c.C_ID
    left outer join SUPPLIER s ON au.SUPPLIER_ID = s.SUPPLIER_ID
    LEFT OUTER JOIN ADDRESS a ON s.SUPPLIER_ID = a.SUPPLIER_ID
    LEFT OUTER JOIN STATE st ON a.STATE_ID = st.STATE_ID
    left outer join DATA_SOURCE ds on s.DATA_SOURCE_ID = ds.DATA_SOURCE_ID
    left outer join HIERARCHY h1 on s.PRIMARY_NAICS_ID = h1.HIERARCHY_ID
    left outer join SUPPLIER_PHONE_NUMBER spn2 on s.PRIMARY_PHONE_NUMBER_ID = spn2.SUPPLIER_PHONE_NUMBER_ID
    left outer join HIERARCHY h2 on s.PRIMARY_REGION_ID = h2.HIERARCHY_ID
    left outer join HIERARCHY h3 on s.PRIMARY_SIC_ID = h3.HIERARCHY_ID
WHERE
    au.AA_ID = '[AA_ID]' AND 
    au.RECORD_STATE = 0 AND
    au.TYPE = 'External_Contact'